org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom

## Interface CustomFactory

    public interface CustomFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `CustomPackage`
Generated:

### Field Summary

Fields
`static CustomFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`Customization` `createCustomization()` Returns a new object of class 'Customization'.
`EClassCustomization` `createEClassCustomization()` Returns a new object of class 'EClass Customization'.
`ETypedElementCase` `createETypedElementCase()` Returns a new object of class 'ETyped Element Case'.
`ETypedElementSwitchQuery` `createETypedElementSwitchQuery()` Returns a new object of class 'ETyped Element Switch Query'.
`FacetCustomization` `createFacetCustomization()` Returns a new object of class 'Facet Customization'.
`CustomPackage` `getCustomPackage()` Returns the package supported by this factory.

### Field Detail

#### eINSTANCE

    static final CustomFactory eINSTANCE

The singleton instance of the factory.

Generated:

### Method Detail

#### createCustomization

    Customization createCustomization()

Returns a new object of class 'Customization'.

Returns:
  a new object of class 'Customization'.
Generated:

#### createEClassCustomization

    EClassCustomization createEClassCustomization()

Returns a new object of class 'EClass Customization'.

Returns:
  a new object of class 'EClass Customization'.
Generated:

#### createFacetCustomization

    FacetCustomization createFacetCustomization()

Returns a new object of class 'Facet Customization'.

Returns:
  a new object of class 'Facet Customization'.
Generated:

#### createETypedElementSwitchQuery

    ETypedElementSwitchQuery createETypedElementSwitchQuery()

Returns a new object of class 'ETyped Element Switch Query'.

Returns:
  a new object of class 'ETyped Element Switch Query'.
Generated:

#### createETypedElementCase

    ETypedElementCase createETypedElementCase()

Returns a new object of class 'ETyped Element Case'.

Returns:
  a new object of class 'ETyped Element Case'.
Generated:

#### getCustomPackage

    CustomPackage getCustomPackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.
Generated: